[PATCH] traditional post-release doc text and release-check.sh updates

Subject: [PATCH] traditional post-release doc text and release-check.sh updates

Date: Mon, 29 Jun 2015 12:45:59 +0300

To: notmuch@notmuchmail.org

Cc: tomi.ollila@iki.fi

From: Tomi Ollila


- added period to the end of the only 0.20.1 news item so that news2wiki
  will not make it a header line

- changed copyright year to 2015 in doc/conf.py

- made release-checks.sh to check copyright year in doc/conf.py

- made release-check.sh to execute python3 compatible version check code
---
 NEWS                    |  2 +-
 devel/release-checks.sh | 15 +++++++++++++--
 doc/conf.py             |  2 +-
 3 files changed, 15 insertions(+), 4 deletions(-)

diff --git a/NEWS b/NEWS
index e474e53..e04f4ab 100644
--- a/NEWS
+++ b/NEWS
@@ -20,7 +20,7 @@ Notmuch 0.20.1 (2015-06-01)
 Test Suite
 ----------
 
-Work around apparent gdb bug on arm64
+Work around apparent gdb bug on arm64.
 
 Notmuch 0.20 (2015-05-31)
 =========================
diff --git a/devel/release-checks.sh b/devel/release-checks.sh
index efd0b34..6591ccd 100755
--- a/devel/release-checks.sh
+++ b/devel/release-checks.sh
@@ -66,7 +66,7 @@ then
 	echo Yes.
 else
 	echo No.
-	append_emsg "Git working directory is not clean (git status --porcelain)."
+	append_emsg "Git working directory is not clean (git status --porcelain)"
 fi
 unset git_status
 
@@ -141,7 +141,7 @@ else
 fi
 
 echo -n "Checking that python bindings version is $VERSION... "
-py_version=`python -c "with open('$PV_FILE') as vf: exec(vf.read()); print __VERSION__"`
+py_version=`python -c "with open('$PV_FILE') as vf: exec(vf.read()); print(__VERSION__)"`
 if [ "$py_version" = "$VERSION" ]
 then
 	echo Yes.
@@ -207,6 +207,17 @@ case $news_date in
 	append_emsg "Date '$news_date' in NEWS file is not in format (yyyy-mm-dd)"
 esac
 
+year=`exec date +%Y`
+echo -n "Checking that copyright line in documentation contains $year... "
+copyrightline=`exec grep -n '^copyright *=' doc/conf.py` || :
+case $copyrightline in
+	*$year*)
+		echo Yes. ;;
+	*)
+		echo No.
+		append_emsg "The copyright in doc/conf.py line $copyrightline does not contain $year"
+esac
+
 if [ -n "$emsgs" ]
 then
 	echo
diff --git a/doc/conf.py b/doc/conf.py
index 8fbc854..4609bfe 100644
--- a/doc/conf.py
+++ b/doc/conf.py
@@ -12,7 +12,7 @@ master_doc = 'index'
 
 # General information about the project.
 project = u'notmuch'
-copyright = u'2014, Carl Worth and many others'
+copyright = u'2015, Carl Worth and many others'
 
 location = os.path.dirname(__file__)
 
-- 
2.4.1


Thread: